#######################################################################################
#                                                                                     #
# Copyright (c) 2002 Wankyu Choi. All Rights Reserved.                                #
#                                                                                     #
#   A copy of the GPL should accompany this distribution. Redistributions             #
#   in source code must retain the above copyright notice, accompanied license,       #
#   and the following disclaimer.                                                     #
#                                                                                     #
#   THIS SOFTWARE IS PROVIDED BY WANKYU CHOI ``AS IS'' AND ANY                        #
#   EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE               #
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR                #
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WANKYU CHOI OR ITS                     #
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,                      #
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT                  #
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF                  #
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND               #
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,                #
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT                #
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF                #
#   SUCH DAMAGE.                                                                      #
#                                                                                     #
#######################################################################################

"""
$Id: NP_LoggableObject.py,v 1.4 2002/12/25 18:08:49 wankyu Exp $
Description

 NeoPortal Log Facility: mostly for debugging purposes
"""

import zLOG
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from OFS.SimpleItem import SimpleItem

######################################## NEOPORTAL PERMISSIONS ##########################################################################
from Products.NeoPortalLibrary.NP_Permissions import NeoPortalView, NeoPortalAccessContentsInformation
from Products.NeoPortalLibrary.NP_Permissions import NeoPortalAddFolders, NeoPortalListUndoableChanges
from Products.NeoPortalLibrary.NP_Permissions import NeoPortalViewManagementScreens, NeoPortalManageProperties
from Products.NeoPortalLibrary.NP_Permissions import NeoPortalManagePortal, NeoPortalAddPortalContent
from Products.NeoPortalLibrary.NP_Permissions import NeoPortalAddPortalFolders, NeoPortalModifyPortalContent, NeoPortalReviewPortalContent
######################################## NEOPORTAL PERMISSIONS ##########################################################################

DEBUG_MODE = 0
    
class NeoPortalLoggableObject( SimpleItem ):
    """
        Logging Facility
    """

    severity = {  'TRACE'  : -300
                , 'DEBUG'  : -200
                , 'BLATHER': -100
                , 'INFO'   : 0
                , 'PROBLEM': 100
                , 'ERROR'  : 200
                , 'PANIC'  : 300
                }
                
    security = ClassSecurityInfo()
    
    security.declarePrivate( 'np_log' )
    def np_log( self, message='', summary='', severity='UNKNOWN' ):
        """
            Log NeoPortal errors, messages, etc
        """
        
        if severity == 'DEBUG' and DEBUG_MODE:
            print 'NeoPortal Debug Message: %s - %s' % ( summary, message ), '\n'
        elif severity == 'INFO' and DEBUG_MODE:
            print 'NeoPortal Info: %s - %s' % ( summary, message ), '\n'                
        elif severity == 'ERROR' and DEBUG_MODE: 
            print '*' * 40
            print 'NeoPortal Error: %s - %s' % ( summary, message ), '\n'                
            print '*' * 40
                
InitializeClass( NeoPortalLoggableObject )        