#######################################################################################
#                                                                                     #
# Copyright (c) 2002 Wankyu Choi. All Rights Reserved.                                #
#                                                                                     #
#   A copy of the GPL should accompany this distribution. Redistributions             #
#   in source code must retain the above copyright notice, accompanied license,       #
#   and the following disclaimer.                                                     #
#                                                                                     #
#   THIS SOFTWARE IS PROVIDED BY WANKYU CHOI ``AS IS'' AND ANY                        #
#   EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE               #
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR                #
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WANKYU CHOI OR ITS                     #
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,                      #
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT                  #
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF                  #
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND               #
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,                #
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT                #
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF                #
#   SUCH DAMAGE.                                                                      #
#                                                                                     #
#######################################################################################

"""
$Id: NP_Permissions.py,v 1.1.1.1 2002/12/13 01:56:56 wankyu Exp $
Description

    NeoPortal Common Permissions
 
"""

from AccessControl import Permissions

# General Zope permissions

try:
    from Products.CMFCore import CMFCorePermissions
    CMF_INSTALLED = 1
except:
    CMF_INSTALLED = 0

NeoPortalView = Permissions.view                                                # anonymous + *
NeoPortalAccessContentsInformation = Permissions.access_contents_information
NeoPortalAddFolders = Permissions.add_folders                                   # manager
NeoPortalListUndoableChanges =Permissions.undo_changes                          # manager
NeoPortalViewManagementScreens = Permissions.view_management_screens            # manager + owner
NeoPortalManageProperties = Permissions.manage_properties                       # manager
NeoPortalManagePortal   = Permissions.manage_users                              # manager
NeoPortalAddPortalContent = NeoPortalAddFolders                                 # manager
NeoPortalAddPortalFolders = NeoPortalAddFolders                                 # manager   
NeoPortalModifyPortalContent = NeoPortalManageProperties                        # manager
NeoPortalReviewPortalContent = NeoPortalManagePortal                            # manager

if CMF_INSTALLED: 
    NeoPortalManagePortal = CMFCorePermissions.ManagePortal                 # manager
    NeoPortalModifyPortalContent = CMFCorePermissions.ModifyPortalContent   # manager
    NeoPortalAddPortalContent = CMFCorePermissions.AddPortalContent         # manager + owner + member
    NeoPortalReviewPortalContent = CMFCorePermissions.ReviewPortalContent   # manager + reviewer
    NeoPortalAddPortalFolders = CMFCorePermissions.AddPortalFolders         # manager + owner
    NeoPortalManageProperties = CMFCorePermissions.ManageProperties         # manager + owner
    


    
